#
# spec file for package gmerlin
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0

Name:           gmerlin
Version:        1.2.0
Release:        2.5
Summary:        Multimedia architecture for Linux
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://gmerlin.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/gmerlin/gmerlin/%{version}/gmerlin-%{version}.tar.gz
# PATCH-FIX-OPENSUSE gmerlin-1.0.0-icon_link.patch reddwarf@opensuse.org -- Fix icon symlinks
Patch0:         gmerlin-1.0.0-icon_link.patch
# PATCH-FIX-UPSTREAM gmerlin-1.0.0-desktop_files.patch gmerlin-general_ML_2011-01-09 10:25 reddwarf@opensuse.org -- Update desktop files to current standard
Patch1:         gmerlin-1.0.0-desktop_files.patch
Patch2:         gmerlin-1.2.0-cdio.patch
Patch3:         gmerlin-1.2.0-underlinking.patch
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  libjpeg-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  pkg-config
BuildRequires:  texinfo
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gavl) >= 1.4.0
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkgconfig(libcdio_paranoia)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libquicktime) >= 1.2.4
BuildRequires:  pkgconfig(libv4lconvert)
BuildRequires:  pkgconfig(libvisual-0.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xv)
Requires(post): info
Requires(postun): info

%description
Multimedia architecture for Linux.

%package -n libgmerlin%{soname}
Summary:        Base library for gmerlin applications
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n libgmerlin%{soname}
Base library for gmerlin applications.

%package -n libgmerlin-devel
Summary:        Header files for compiling gmerlin applications and plugins
Group:          Development/Libraries/C and C++
Requires:       libgmerlin%{soname} = %{version}

%description -n libgmerlin-devel
Header files for compiling gmerlin applications and plugins.

%package -n libgmerlin_gtk%{soname}
Summary:        Gtk support library for gmerlin
Group:          System/Libraries

%description -n libgmerlin_gtk%{soname}
Gtk support library for package gmerlin.

%package -n libgmerlin_gtk-devel
Summary:        Header files for compiling gmerlin gtk applications
Group:          Development/Libraries/C and C++
Requires:       libgmerlin_gtk%{soname} = %{version}

%description -n libgmerlin_gtk-devel
Header files for compiling gmerlin gtk applications.

%package player
Summary:        Multiformat media player
Group:          Productivity/Multimedia/Video/Players

%description player
Multiformat media player

%package recorder
Summary:        Multiformat recorder
Group:          Productivity/Multimedia/Video/Editors and Convertors

%description recorder
Multiformat recorder

%package alsamixer
Summary:        Alsa mixer
Group:          Productivity/Multimedia/Sound/Mixers

%description alsamixer
Alsa mixer.

%package transcoder
Summary:        Audio/Video transcoder
Group:          Productivity/Multimedia/Video/Editors and Convertors

%description transcoder
Audio/Video transcoder.

%package visualizer
Summary:        Visualization app
Group:          Productivity/Multimedia/Other

%description visualizer
Visualization app.

%package utils
Summary:        Utilities for gmerlin
Group:          Productivity/Multimedia/Other

%description utils
Utilities for gmerlin.

%package kbd
Summary:        Keyboard daemon for gmerlin
Group:          Productivity/Multimedia/Other

%description kbd
Keyboard daemon for gmerlin.

%package jack
Summary:        Jack plugins for gmerlin
Group:          System/Libraries

%description jack
Jack plugins for package gmerlin.

%lang_package
%prep
%setup -q
%patch0
%patch1
%if 0%{?suse_version} > 1200
%patch2
%endif
%patch3

%build
%configure --with-cpuflags=none --docdir=%{_defaultdocdir}/%{name}
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_libdir}/gmerlin/plugins/*.la
rm %{buildroot}%{_libdir}/*.la

%fdupes -s %{buildroot}

%find_lang %{name}

rm %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}-camelot.png

%post   -n libgmerlin%{soname} -p /sbin/ldconfig

%postun -n libgmerlin%{soname} -p /sbin/ldconfig

%post   -n libgmerlin_gtk%{soname} -p /sbin/ldconfig

%postun -n libgmerlin_gtk%{soname} -p /sbin/ldconfig

%post
%info_add gmerlin.info
%info_add gmerlin.info-1
%info_add gmerlin.info-2
%info_add gmerlin.info-3

%postun
if [ $1 = 0 ]; then
  %info_del gmerlin.info
  %info_del gmerlin.info-1
  %info_del gmerlin.info-2
  %info_del gmerlin.info-3
fi

%files lang -f %{name}.lang

%files
%defattr(0644, root ,root, 0755)
%{_docdir}/%{name}
%exclude %{_docdir}/%{name}/apiref
%{_libdir}/gmerlin
%exclude %{_libdir}/gmerlin/plugins/*_jack.so
%{_datadir}/gmerlin
%exclude %{_datadir}/gmerlin/skins
%exclude %{_datadir}/gmerlin/plugin.sym
%{_infodir}/gmerlin.info%{ext_info}
%{_infodir}/gmerlin.info-1%{ext_info}
%{_infodir}/gmerlin.info-2%{ext_info}
%{_infodir}/gmerlin.info-3%{ext_info}

%files jack
%defattr(0644, root ,root, 0755)
%{_libdir}/gmerlin/plugins/*_jack.so

%files -n libgmerlin%{soname}
%defattr(0644, root ,root, 0755)
%{_libdir}/libgmerlin.so.%{soname}*

%files -n libgmerlin-devel
%defattr(0644, root ,root, 0755)
%{_docdir}/%{name}/apiref
%{_libdir}/libgmerlin.so
%{_includedir}/gmerlin
%exclude %{_includedir}/gmerlin/gui_gtk
%{_libdir}/pkgconfig/gmerlin.pc
%{_datadir}/gmerlin/plugin.sym

%files -n libgmerlin_gtk%{soname}
%defattr(0644, root ,root, 0755)
%{_libdir}/libgmerlin_gtk.so.%{soname}*

%files -n libgmerlin_gtk-devel
%defattr(0644, root ,root, 0755)
%dir %{_includedir}/gmerlin
%{_libdir}/libgmerlin_gtk.so
%{_includedir}/gmerlin/gui_gtk
%{_libdir}/pkgconfig/gmerlin-gtk.pc

%files alsamixer
%defattr(0644, root ,root, 0755)
%attr(0755,root,root) %{_bindir}/gmerlin_alsamixer
%{_datadir}/applications/gmerlin-alsamixer.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-alsamixer.png

%files kbd
%defattr(0644, root ,root, 0755)
%attr(0755,root,root) %{_bindir}/gmerlin_kbd
%attr(0755,root,root) %{_bindir}/gmerlin_kbd_config
%{_datadir}/applications/gmerlin-kbd.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-kbd.png

%files player
%defattr(0644, root ,root, 0755)
%attr(0755,root,root) %{_bindir}/gmerlin
%attr(0755,root,root) %{_bindir}/gmerlin_remote
%attr(0755,root,root) %{_bindir}/gmerlin_launcher
%{_datadir}/gmerlin/skins
%{_datadir}/applications/gmerlin-player.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-player.png
%{_mandir}/man1/gmerlin.1*
%{_mandir}/man1/gmerlin_remote.1*
%{_mandir}/man1/gmerlin_remote.1*

%files recorder
%defattr(0644, root ,root, 0755)
%attr(0755,root,root) %{_bindir}/gmerlin_recorder
%{_datadir}/applications/gmerlin-recorder.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-recorder.png

%files transcoder
%defattr(0644, root ,root, 0755)
%attr(0755,root,root) %{_bindir}/gmerlin_transcoder
%attr(0755,root,root) %{_bindir}/gmerlin_transcoder_remote
%{_datadir}/applications/gmerlin-transcoder.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-transcoder.png
%doc %{_mandir}/man1/gmerlin_transcoder.1*
%doc %{_mandir}/man1/gmerlin_transcoder_remote.1*

%files visualizer
%defattr(0644, root ,root, 0755)
%attr(0755,root,root) %{_bindir}/gmerlin_visualize
%attr(0755,root,root) %{_bindir}/gmerlin_visualizer
%attr(0755,root,root) %{_bindir}/gmerlin_visualizer_slave
%{_datadir}/applications/gmerlin-visualizer.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-visualizer.png

%files utils
%defattr(0644, root ,root, 0755)
%attr(0755,root,root) %{_bindir}/album2m3u
%attr(0755,root,root) %{_bindir}/album2pls
%attr(0755,root,root) %{_bindir}/gmerlin_imgconvert
%attr(0755,root,root) %{_bindir}/gmerlin_imgdiff
%attr(0755,root,root) %{_bindir}/gmerlin_play
%attr(0755,root,root) %{_bindir}/gmerlin_plugincfg
%attr(0755,root,root) %{_bindir}/gmerlin_psnr
%attr(0755,root,root) %{_bindir}/gmerlin-record
%attr(0755,root,root) %{_bindir}/gmerlin_ssim
%attr(0755,root,root) %{_bindir}/gmerlin_vanalyze
%attr(0755,root,root) %{_bindir}/gmerlin-video-thumbnailer
%attr(0755,root,root) %{_bindir}/gmerlin_vpsnr
%{_mandir}/man1/gmerlin_play.1*
%{_mandir}/man1/gmerlin-record.1*
%{_datadir}/applications/gmerlin-plugincfg.desktop
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-plugincfg.png

%changelog
* Fri Mar 28 2014 seife+obs@b1-systems.com
- do not apply cdio patch for <= 11.4
* Tue Jun 19 2012 reddwarf@opensuse.org
- Update to 1.2.0
* Wed Sep 29 2010 reddwarf@opensuse.org
- Initial package
